From 54681ed9a7d0007ac299281447da55db0a6bbeef Mon Sep 17 00:00:00 2001
From: "kunal.kotecha" <kunal.kotecha@volansystech.com>
Date: Fri, 5 Oct 2018 11:22:41 +0530
Subject: [PATCH] Removed battery switch over interrupt node in device tree

Signed-off-by: kunal.kotecha <kunal.kotecha@volansystech.com>
---
 arch/arm/boot/dts/imx6ull-14x14-cabgateway.dts | 14 --------------
 1 file changed, 14 deletions(-)

diff --git a/arch/arm/boot/dts/imx6ull-14x14-cabgateway.dts b/arch/arm/boot/dts/imx6ull-14x14-cabgateway.dts
index d66f312..8f8db4e 100644
--- a/arch/arm/boot/dts/imx6ull-14x14-cabgateway.dts
+++ b/arch/arm/boot/dts/imx6ull-14x14-cabgateway.dts
@@ -38,20 +38,6 @@
 			gpio-key,wakeup;
 		};
 
-		/* battery source switch over interrupt */
-
-		battery_switch {
-			label = "power-source";
-			interrupt-parent = <&gpio1>;
-			interrupts = <9 IRQ_TYPE_EDGE_BOTH>;
-			debounce-interval = <200>;
-			linux,code = <32>;
-			gpio-key,wakeup;
-			linux,can-disable;
-		};
-
-		/* battery source switch over interrupt */
-
 		pushbutton {
 			label = "push-button";
 			interrupt-parent = <&gpio3>;
-- 
1.9.1

